<?php
/**
 * Copyright © Karliuka Vitalii(karliuka.vitalii@gmail.com)
 * See COPYING.txt for license details.
 */
namespace Faonni\Smtp\Controller\Adminhtml\Log;

use Magento\Framework\Controller\ResultFactory;
use Magento\Backend\App\Action\Context;
use Magento\Ui\Component\MassAction\Filter;
use Faonni\Smtp\Model\ResourceModel\Log\CollectionFactory;
use Faonni\Smtp\Controller\Adminhtml\Log as LogAbstract;

/**
 * MassDelete Log Controller
 */
class MassDelete extends LogAbstract
{
    /**
     * MassAction Filter
     *
     * @var \Magento\Ui\Component\MassAction\Filter
     */
    protected $_filter;

    /**
     * Log Collection Factory
     *
     * @var \Faonni\Smtp\Model\ResourceModel\Log\CollectionFactory
     */
    protected $_collectionFactory;

    /**
     * Initialize Controller
     * 
     * @param Context $context
     * @param Filter $filter
     * @param CollectionFactory $collectionFactory
     */
    public function __construct(
		Context $context, 
		Filter $filter, 
		CollectionFactory $collectionFactory
	) {
        $this->_filter = $filter;
        $this->_collectionFactory = $collectionFactory;
        
        parent::__construct(
			$context
		);
    }

    /**
     * MassDelete Action
     *
     * @return \Magento\Backend\Model\View\Result\Redirect
     */
    public function execute()
    {
        $collection = $this->_filter->getCollection(
			$this->_collectionFactory->create()
		);
		
		$size = $collection->getSize();		
        foreach ($collection as $item) {
            $item->delete();
        }

        $this->messageManager->addSuccess(__('A total of %1 record(s) have been deleted.', $size));

        /** @var \Magento\Backend\Model\View\Result\Redirect $resultRedirect */
        $resultRedirect = $this->resultFactory->create(ResultFactory::TYPE_REDIRECT);
        
        return $resultRedirect->setPath('*/*/');
    }
}
